library(rPraat)

inputFolder <- "tg_new"

listFiles <- list.files(path = inputFolder, pattern = "\\.TextGrid$" , ignore.case = TRUE)

labely <- character()   # prázdný vektor

for (I in seq_along(listFiles)) {
    file <- listFiles[I]
    fileName <- substr(file, 1, nchar(file) - nchar(".TextGrid"))
    fileTextGrid <- paste0(inputFolder, "/", fileName, ".TextGrid")

    tg <- tg.read(fileTextGrid)

    labely <- c(labely, tg$phone$label)   # postupně rostoucí vektor
}

# Počty použitých labelů napříč všemi soubory
print(table(paste0("[", labely, "]")))
