# tento skript spouštět pod Windows jedině takto (z důvodu auto konverze některých UTF-8 znaků):
# eval(parse("cisteni_tg4_kdeJsouProblematickeLab.R", encoding = "UTF-8"))

library(rPraat)

inputFolder <- "tg_new2"

if ("œ" != "\U00153") {
    stop("Unexpected character conversion. Instead of source(), use: eval(parse(\"cisteni_tg4_kdeJsouProblematickeLab.R\", encoding = \"UTF-8\"))")
} else {
    cat("o.k.\n")
}

listFiles <- list.files(path = inputFolder, pattern = "\\.TextGrid$" , ignore.case = TRUE)

labely <- character()   # prázdný vektor

labWhere <- function(lab, where) {
    if (lab %in% where) {
        cat("[", lab, "] found in: ", file, ", interval: ", paste0(which(where == lab), collapse = ", "), "\n", sep = "")
    }
}

for (I in seq_along(listFiles)) {
    file <- listFiles[I]
    fileName <- substr(file, 1, nchar(file) - nchar(".TextGrid"))
    fileTextGrid <- paste0(inputFolder, "/", fileName, ".TextGrid")

    tg <- tg.read(fileTextGrid)
    tg$phone$label <- strTrim(tg$phone$label)  # bílé znaky na začátku a na konci: pryč
    
    labely <- c(labely, tg$phone$label)   # postupně rostoucí vektor

    labWhere("@", tg$phone$label)
    labWhere("c", tg$phone$label)
    labWhere("i\u02D0", tg$phone$label)
}

# Počty použitých labelů napříč všemi soubory
print(table(paste0("[", labely, "]")))
